PythonOCC

PythonOCCでモデルを回転させる

モデルを回転させてみます。

trsf.SetRotation()で回転軸と角度を指定し、

BRepBuilderAPI_Transform()で45度回転させました。

黒色が回転後の箱です。

中身はこんな感じです

from OCC.Core.BRepPrimAPI import BRepPrimAPI_MakeBox
from OCC.Core.BRepBuilderAPI import BRepBuilderAPI_Transform
from OCC.Core.gp import gp_Trsf, gp_OZ
from OCC.Display.SimpleGui import init_display
import math

display, start_display, add_menu, add_function_to_menu = init_display()

# 箱作成
my_box = BRepPrimAPI_MakeBox(10.,20.,30.).Shape()

# 回転
trsf = gp_Trsf()
trsf.SetRotation( gp_OZ(), math.pi/4. )
rotation = BRepBuilderAPI_Transform(my_box,trsf).Shape()

# 箱表示
display.DisplayShape(my_box, update=True )
display.DisplayShape(rotation, transparency=0.4, color="black",update=True )

start_display()

-PythonOCC

© 2021 暇人が趣味をさがす